Bug 1715197 (CVE-2019-0201) - CVE-2019-0201 zookeeper: Information disclosure in Apache ZooKeeper
Summary: CVE-2019-0201 zookeeper: Information disclosure in Apache ZooKeeper
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-0201
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1715199 1749734
Blocks: 1715201
TreeView+ depends on / blocked
 
Reported: 2019-05-29 19:28 UTC by Laura Pardo
Modified: 2019-10-17 18:51 UTC (History)
46 users (show)

Fixed In Version: zookeeper 3.6.0, zookeeper 3.5.5, zookeeper 3.4.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-17 18:51:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3140 None None None 2019-10-17 14:55:19 UTC

Description Laura Pardo 2019-05-29 19:28:12 UTC
An issue is present in Apache ZooKeeper 1.0.0 to 3.4.13 and 3.5.0-alpha to 3.5.4-beta. ZooKeeper's getACL() command doesn't check any permission when retrieves the ACLs of the requested node and returns all information contained in the ACL Id field as plaintext string. DigestAuthenticationProvider overloads the Id field with the hash value that is used for user authentication. As a consequence, if Digest Authentication is in use, the unsalted hash value will be disclosed by getACL() request for unauthenticated or unprivileged users.


References:
http://www.securityfocus.com/bid/108427
https://issues.apache.org/jira/browse/ZOOKEEPER-1392
https://zookeeper.apache.org/security.html#CVE-2019-0201

Comment 1 Laura Pardo 2019-05-29 19:28:53 UTC
Created zookeeper tracking bugs for this issue:

Affects: fedora-all [bug 1715199]

Comment 2 Joshua Padman 2019-08-12 02:26:42 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Fuse Service Works 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 3 Chess Hazlett 2019-08-30 13:24:03 UTC
Mitigation:

Use an authentication method other than Digest (e.g. Kerberos) or upgrade to zookeeper 3.4.14 or later (3.5.5 or later if on the 3.5 branch). [https://zookeeper.apache.org/security.html#CVE-2019-0201]

Comment 6 Andrej Smigala 2019-10-10 09:36:02 UTC
Terribly sorry, updated the wrong bz

Comment 7 errata-xmlrpc 2019-10-17 14:55:16 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Virtualization 6.4.8

Via RHSA-2019:3140 https://access.redhat.com/errata/RHSA-2019:3140

Comment 8 Product Security DevOps Team 2019-10-17 18:51:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-0201


Note You need to log in before you can comment on or make changes to this bug.